Page MenuHomePhabricator

File on source wiki isn't deleted when the name is edited during import
Closed, ResolvedPublicBUG REPORT

Description

Tested with File:MO-WMF.jpg as the source.

  1. Imported as File:MO-WMF-20190706.jpg successfully, but the source file was not deleted.
  2. Deleted File:MO-WMF-20190706.jpg to be able to import again.
  3. Imported as File:MO-WMF.jpg successfully and the source file was deleted.

MW 1.34.0-alpha (d71db83)
FileImporter 1.0.0 (4511cfa)
FileExporter 1.0.0 (41d894d)

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : wmf/1.34.0-wmf.13Fix bug involving file renaming and centralauth cleanup/delete
mediawiki/extensions/FileImporter : masterFix bug involving file renaming and centralauth cleanup/delete

Event Timeline

JJMC89 created this task.Jul 6 2019, 9:43 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 6 2019, 9:43 PM
JJMC89 changed the subtype of this task from "Task" to "Bug Report".Jul 6 2019, 9:44 PM

It looks like @Andrew-WMDE's patch should fix this.

Change 522052 had a related patch set uploaded (by WMDE-Fisch; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Fix bug involving file renaming and centralauth cleanup/delete

https://gerrit.wikimedia.org/r/522052

Change 522052 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Fix bug involving file renaming and centralauth cleanup/delete

https://gerrit.wikimedia.org/r/522052

Change 523618 had a related patch set uploaded (by Awight; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@wmf/1.34.0-wmf.13] Fix bug involving file renaming and centralauth cleanup/delete

https://gerrit.wikimedia.org/r/523618

Change 523618 abandoned by Awight:
Fix bug involving file renaming and centralauth cleanup/delete

https://gerrit.wikimedia.org/r/523618

awight added a subscriber: awight.Jul 18 2019, 10:28 AM

Quick update: This bugfix is due to go out with wmf.14 on commonswiki, which probably won't happen for group 1 wikis until next week.

Lea_WMDE closed this task as Resolved.Jul 23 2019, 10:52 AM
Lea_WMDE claimed this task.
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Spike-2019-07-09 board.
JJMC89 added a subscriber: Lea_WMDE.